using System;
using System.Collections.Generic;
using System.Collections;
using System.Text;
using System.Runtime.InteropServices;

namespace NppAwkPluginCS
{
    [Guid("0F07E8B7-3DF3-44BD-B16D-3ECC250B2F68")]    
    [InterfaceType(ComInterfaceType.InterfaceIsDual)]
    public interface INppPlugin
    {
        void DllMain(ulong iReasonForCall);

        void About();
        void ShowMainWindow();        

        //5 mandatory Methods
        void setInfo(NppData oNppData);
        void getName([MarshalAs(UnmanagedType.LPStr)]out string sName);
        void beNotified(SCNotification oNotification);
        void messageProc(uint Message, IntPtr wParam, IntPtr lParam);
        void getFuncsArray(out int iLen, [MarshalAs(UnmanagedType.LPArray)] out IntPtr[] oTab);
        
    }

    
    

}