using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;
using System.Xml;

namespace NppAwkPluginCS
{
    public class AwkScriptXml
    {
        public AwkScriptXml() {
            Title = string.Empty;
            Script = string.Empty;
            Id = 0;
        }

        private string msTitle;
        [XmlElement(typeof(string))]
        public string Title
        {
            get { return msTitle; }
            set {
                IsModified |= (msTitle != value);
                msTitle = value; 
            }
        }


        private string msScript;
        [XmlElement(typeof(string))]
        public string Script
        {
            get { return msScript; }
            set {
                IsModified |= (msScript != value);
                msScript = value; 
            }
        }

        private int miId;
        [XmlElement(typeof(int))]
        public int Id
        {
            get { return miId; }
            set {
                IsModified |= (miId != value);
                miId = value; 
            }
        }

        public bool IsModified = false;

        public override string ToString()
        {
            return Title;
        }
    }
}
